Zum Hauptinhalt springen
GET
/
marketing
/
v3
/
marketing-events
/
participations
/
{marketingEventId}
/
breakdown
Read participations breakdown by Marketing Event internal identifier
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/marketing-events/participations/{marketingEventId}/breakdown \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "associations": {
        "contact": {
          "contactId": "<string>",
          "email": "<string>",
          "firstname": "<string>",
          "lastname": "<string>"
        },
        "marketingEvent": {
          "marketingEventId": "<string>",
          "name": "<string>",
          "externalAccountId": "<string>",
          "externalEventId": "<string>"
        }
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {
        "attendanceState": "ATTENDED",
        "occurredAt": 123,
        "attendanceDurationSeconds": 123,
        "attendancePercentage": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

marketingEventId
integer<int64>
erforderlich

The internal id of the marketing event in HubSpot.

Abfrageparameter

after
string

The cursor indicating the position of the last retrieved item.

contactIdentifier
string

The identifier of the Contact. It may be email or internal id.

limit
integer<int32>
Standard:10

The limit for response size. The default value is 10, the max number is 100

state
string

The participation state value. It may be REGISTERED, CANCELLED, ATTENDED, NO_SHOW

Antwort

successful operation

results
object[]
erforderlich
total
integer<int32>
erforderlich
paging
object
Last modified on April 9, 2026